package dao;

import java.util.List;

import model.Category;

public interface CategoryDao {
    public void save(Category category) throws Exception;
    public void delete(Category category) throws Exception;
    public Category findById(Long id) throws Exception;
    public List<Category> findAll() throws Exception;
    public List<Category> findByName(String name) throws Exception;
}
